[Bug] Bad rounding in the wrong direction with DMS/DM geo formats
Closed, ResolvedPublic

Description

From https://www.wikidata.org/wiki/Property_talk:P625#Why_is_60_seconds_possible.3F: "[…] i found another diplay problem (do not know if it is connected). In this item Q4118348 the second P625 is displayed to be 36°N, 36°E but when clicking on it, it links to 36.5867, 37.0458. This does not seem to be correct."

Patch-For-Review:

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2017, 3:26 PM
thiemowmde moved this task from Proposed to Review on the Wikidata-Sprint board.Feb 22 2017, 3:34 PM
thiemowmde moved this task from incoming to in current sprint on the Wikidata board.
daniel added a comment.EditedMar 7 2017, 10:40 AM

I'm not sure I understand the expected behavior here. Let me see if I get that right:

  • the actual value is 36.5867/37.0458, +/-1.118...
  • this is displayed as 36/36. A bit strange, I would have expected 37/37.
  • when clicking edit, the input field is set to 36/36. This is wrong and leads to data loss!
  • when clicking the coordinates, the link uses the original values, 36.5867/37.0458. That seems to be correct to me. Rounding should apply on display, not when passing values as parameters.

So, as far as I see it, there is a problem here, but it's the rounding applied when preparing the edit widget, and has nothing to do with the map link. Am I missing something?

daniel updated the task description. (Show Details)Mar 7 2017, 11:23 AM
daniel updated the task description. (Show Details)
Lydia_Pintscher triaged this task as Normal priority.Mar 7 2017, 3:44 PM
thiemowmde updated the task description. (Show Details)
daniel lowered the priority of this task from Normal to Low.Mar 14 2017, 3:30 PM
thiemowmde updated the task description. (Show Details)Mar 14 2017, 4:37 PM
daniel updated the task description. (Show Details)Mar 14 2017, 5:53 PM
thiemowmde closed this task as Resolved.
WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Mar 15 2017, 8:06 AM